# Configuration

{% code title="config.lua" lineNumbers="true" %}

```lua
Config = {}

--- [[ Markhor Bridge ]] ---
--- [[ Markhor Bridge ]] ---


--- This resource depends on Markhor Bridge.
--- With Markhor Bridge, all necessary settings (such as framework, inventory, interact, etc.) are automatically set.
--- You don't have to do anything except install Markhor Bridge.


--- [[ Markhor Bridge ]] ---
--- [[ Markhor Bridge ]] ---

Config.language = "EN" -- Choose Language -> "EN" / "NL".
Config.drawMissionText = true -- As soon as the text at the bottom of the screen is not displayed, set it to false. (recommended: true)
Config.scaleText = 0.5 -- Use this option once "Config.drawMissionText" is set to false. This allows you to scale the text.

-- if Config.framework == 'ESX' then
--     Config.ESX = exports["es_extended"]:getSharedObject() -- Change this to your own ESX object.
--     Config.esxmenuAlign = 'right' -- Alignment of the menu to select a track.
-- elseif Config.framework == 'QBCORE' then
--     Config.QBCORE = exports["qb-core"]:GetCoreObject() -- Change this to your own QBCore object.
--     Config.qbMenu = 'qb-menu' -- QBCore menu event
-- end

-- The jobs in Config.whitelistJobs are whitelisted to open the menu.
Config.whitelistJobs = {
    'mechanic'
}

-- To open the menu from your own script, use the event below.
-- This event checks for the correct job and whether the player is in a vehicle.
-- It is a client sided event with no arguments required.
-- >> TriggerClientEvent('mh_parts:openMenu', source) << -- Use this event in a server file.
-- >> TriggerEvent('mh_parts:openMenu') << -- Use this event in a client file.
```

{% endcode %}

{% code title="language.lua" lineNumbers="true" %}

```lua
Language = {
	["EN"] = {
		["replacingPart"] = "~y~You're replacing the part..",
		["replacedPart"] = "~y~The part has been ~g~successfully ~y~replaced!",
		["replaceFailed"] = "~y~Part replacement ~r~failed~y~!",
		["walkToVehicle"] = "~y~Walk up to a vehicle to make the repair",
		["animationLoading"] = "~b~The animation is loading",
		["objectLoading"] = "~b~The object is loading",
		["menuTitle"] = "Parts",
		["inVehicle"] = "You cannot sit in a vehicle",
		["wrongJob"] = "You don't have the right job to open this menu",

		["cmd"] = "getparts",
		["cmdDesc"] = "Open parts menu",

		["menuList"] = {
			{label = "Tyre"}, {label = "Headlight"}, {label = "Taillight"}, {label = "Brakelight"}, {label = "Door"}, {label = "Battery"}, {label = "Window"}, {label = "Front Bumper"}, {label = "Rear Bumper"}, {label = "License Plate"}, 
			{label = "Mirror"}, {label = "Exhaust"}, {label = "Full repair"}, {label = "Remove last prop"}
		}, -- Do not change this order! 
	},

	["NL"] = {
		["replacingPart"] = "~y~Je bent het onderdeel aan het vervangen...",
		["replacedPart"] = "~y~Het onderdeel is ~g~succesvol ~y~vervangen!",
		["replaceFailed"] = "~y~Het vervangen van het onderdeel is ~r~mislukt~y~!",
		["walkToVehicle"] = "~y~Loop naar een voertuig toe om de reparatie uit te voeren",
		["animationLoading"] = "~b~De animatie wordt geladen",
		["objectLoading"] = "~b~Het object wordt geladen",
		["menuTitle"] = "Onderdelen",
		["inVehicle"] = "Je kan niet in een voertuig zitten",
		["wrongJob"] = "Je hebt niet de juiste job om dit menu te openen",
		
		["cmd"] = "getparts",
		["cmdDesc"] = "Open het onderdelen menu",

		["menuList"] = {
			{label = "Band"}, {label = "Koplamp"}, {label = "Achterlicht"}, {label = "Remlicht"}, {label = "Deur"}, {label = "Accu"}, {label = "Ruit"}, {label = "Voorbumper"}, {label = "Achterbumper"}, {label = "Kentekenplaat"}, 
			{label = "Spiegel"}, {label = "Uitlaat"}, {label = "Volledige reparatie"}, {label = "Verwijder laatste prop"}
		}, -- Verander deze volgorde niet!
	}
}
```

{% endcode %}

{% code title="main.lua" lineNumbers="true" %}

```lua
MainConfig = {}
MainConfig.parts = {
    {
        name = "band",
        prop = "prop_rub_tyre_01",
        x = 0.025,
        y = 0.11,
        z = 0.255,
        rx = -145.0,
        ry = 290.0,
        rz = 0.0,
        animType = 0,
        partBones = {
            "wheel_lf",
            "wheel_rf",
            "wheel_lm1",
            "wheel_rm1",
            "wheel_lm2",
            "wheel_rm2",
            "wheel_lm3",
            "wheel_rm3",
            "wheel_lr",
            "wheel_rr"
        },
        partIndex = {
            ["wheel_lf"] = 0,
            ["wheel_rf"] = 1,
            ["wheel_lm1"] = 2,
            ["wheel_rm1"] = 3,
            ["wheel_lm2"] = 45,
            ["wheel_rm2"] = 47,
            ["wheel_lm3"] = 46,
            ["wheel_rm3"] = 48,
            ["wheel_lr"] = 4,
            ["wheel_rr"] = 5
        }
    },
    {
        name = "koplamp",
        prop = "prop_headlight_01",
        x = 0.025,
        y = 0.01,
        z = 0.155,
        rx = 270.0,
        ry = 240.0,
        rz = 0.0,
        animType = 0,
        partBones = {"headlight_l", "headlight_r"},
        partIndex = {["headlight_l"] = 10, ["headlight_r"] = 20}
    },
    {
        name = "achterlicht",
        prop = "prop_taillight_01",
        x = 0.075,
        y = -0.01,
        z = 0.235,
        rx = 230.0,
        ry = 130.0,
        rz = -20.0,
        animType = 0,
        partBones = {"taillight_l", "taillight_r"},
        partIndex = {["taillight_l"] = 10, ["taillight_r"] = 20}
    },
    {
        name = "remlicht",
        prop = "prop_brakelight_01",
        x = 0.09,
        y = 0.0,
        z = 0.03,
        rx = 40.0,
        ry = 100.0,
        rz = 60.0,
        animType = 1,
        partBones = {"brakelight_l", "brakelight_r", "brakelight_m"},
        partIndex = {["brakelight_l"] = 10, ["brakelight_r"] = 20, ["brakelight_m"] = 30}
    },
    {
        name = "deur",
        prop = "prop_door_01",
        x = 0.025,
        y = 0.01,
        z = 0.155,
        rx = 250.0,
        ry = 200.0,
        rz = -30.0,
        animType = 0,
        partBones = {"door_dside_f", "door_dside_r", "door_pside_f", "door_pside_r"},
        partIndex = {["door_dside_f"] = 10, ["door_dside_r"] = 20, ["door_pside_f"] = 30, ["door_pside_r"] = 40}
    },
    {
        name = "accu",
        prop = "prop_accu_01",
        x = 0.12,
        y = -0.025,
        z = -0.03,
        rx = 190.0,
        ry = 100.0,
        rz = -20.0,
        animType = 1,
        partBones = {"engine"},
        partIndex = {["engine"] = 10}
    },
    {
        name = "ruit",
        prop = "prop_window_01",
        x = 0.24,
        y = -0.09,
        z = 0.18,
        rx = 0.0,
        ry = 285.0,
        rz = 172.0,
        animType = 0,
        partBones = {"window_lf", "window_rf", "window_lr", "window_rr", "bumper_r", "bumper_f"},
        partIndex = {
            ["window_lf"] = 0,
            ["window_rf"] = 1,
            ["window_lr"] = 2,
            ["window_rr"] = 3,
            ["bumper_r"] = 7,
            ["bumper_f"] = 6
        }
    },
    {
        name = "bumperf",
        prop = "prop_bumper_f",
        x = 0.0,
        y = 0.02,
        z = 0.255,
        rx = -60.0,
        ry = 285.0,
        rz = -10.0,
        animType = 0,
        partBones = {"bumper_f"},
        partIndex = {["bumper_f"] = 10}
    },
    {
        name = "bumperr",
        prop = "prop_bumper_r",
        x = 0.1,
        y = -0.10,
        z = 0.255,
        rx = -150.0,
        ry = 110.0,
        rz = 0.0,
        animType = 0,
        partBones = {"bumper_r"},
        partIndex = {["bumper_r"] = 20}
    },
    {
        name = "kenteken",
        prop = "prop_plate_01",
        x = 0.13,
        y = 0.0,
        z = 0.03,
        rx = -20.0,
        ry = 100.0,
        rz = 60.0,
        animType = 1,
        partBones = {"bumper_f", "bumper_r"},
        partIndex = {["bumper_f"] = 10, ["bumper_r"] = 20}
    },
    {
        name = "spiegel",
        prop = "prop_mirror_01",
        x = 0.14,
        y = 0.05,
        z = 0.0,
        rx = 80.0,
        ry = 230.0,
        rz = 160.0,
        animType = 2,
        partBones = {"door_dside_f", "door_pside_f"},
        partIndex = {["door_dside_f"] = 10, ["door_pside_f"] = 30}
    },
    {
        name = "uitlaat",
        prop = "prop_exhaust_01",
        x = 0.15,
        y = -0.03,
        z = 0.205,
        rx = 230.0,
        ry = 110.0,
        rz = 10.0,
        animType = 0,
        partBones = {"bumper_r"},
        partIndex = {["bumper_r"] = 20}
    },
    {
        name = "fullrepair",
        prop = "",
        x = 0.15,
        y = -0.03,
        z = 0.205,
        rx = 230.0,
        ry = 110.0,
        rz = 10.0,
        animType = 0,
        partBones = {"engine"},
        partIndex = {["engine"] = 10}
    },
    {
        name = "remove",
        prop = "",
        x = 0.15,
        y = -0.03,
        z = 0.205,
        rx = 230.0,
        ry = 110.0,
        rz = 10.0,
        animType = 0,
        partBones = {},
        partIndex = {}
    }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.markhorscripts.com/home/scripts/markhor-vehicleparts/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
